<template>
    <div>
        <h1>Item Detail View</h1>
        <p>{{ item }}</p>
        <p>{{ itemIndex }}</p>
        <p>{{ route.params.itemIndex }}</p>
        <button type="button" @click="previousItem" v-if="itemIndex >= 1">Vor</button>
        <button type="button" @click="nextItem" v-if="itemIndex < inventoryStore.items.length - 1">Weiter</button>
    </div>
</template>

<script setup>
    import {useRoute, useRouter} from "vue-router";
    import {useInventoryStore} from "@/stores/InventoryStore";
    import {computed} from "vue";

    const route = useRoute()
    const router = useRouter()
    const inventoryStore = useInventoryStore()

    const itemIndex = computed(() => parseInt(route.params.itemIndex))
    const item = computed(() => inventoryStore.items[itemIndex.value])

    function previousItem() {
        router.push('/about/' + (itemIndex.value - 1))
    }

    function nextItem() {
        router.push('/about/' + (itemIndex.value + 1))
    }
</script>